Summary:	Convert HTML documents into PDF or PS format 
Name:		htmldoc
Version:	1.8.27
Release:	%mkrel 2
Source:		%{name}-%{version}-source.tar.bz2 
License:	GPLv2
Group:		File tools
URL:		http://www.htmldoc.org/
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	libfltk-devel
Requires:	fltk

%description
HTMLDOC allow you to convert Html documents into PDF or PS format.
Links and somes specific things of PDF format can be used.

%package	nogui
Summary:	Convert HTML documents into PDF or PS format 
Group:		File tools

%description	nogui
This package contains the non-GUI version of %{name}

%prep
%setup -q

%build
# first build the non gui version
%configure \
    --without-gui

%make
mv htmldoc/htmldoc htmldoc-nogui
make clean

%configure \
    --disable-rpath \
    --enable-localpng \
    --enable-localjpeg \
    --enable-localzlib \
    --with-gui \
    --with-openssl-libs \
    --with-openssl-includes

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

install -d %{buildroot}%{_bindir}
install -m0755 htmldoc-nogui %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=HTMLDoc
Comment=Convert HTML files to PDF or PostScript
Exec=%{_bindir}/%{name} 
Icon=publishing_section
Terminal=false
Type=Application
StartupNotify=true
MimeType=foo/bar;foo2/bar2;
Categories=FileTools;
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,0755)
%doc CHANGES.txt README.txt COPYING.txt
%{_bindir}/htmldoc
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%files nogui
%defattr(-,root,root,0755)
%doc CHANGES.txt README.txt COPYING.txt
%{_bindir}/htmldoc-nogui



%changelog
* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.com> 1.8.27-2mdv2008.1
+ Revision: 136064
- oops, fix file list for real
- fix file lists
- rebuild for new era
- XDG menu
- new license policy
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 02 2007 Lenny Cartier <lenny@mandriva.com> 1.8.27-1mdv2007.0
+ Revision: 115892
- Update to 1.8.27 and fix url
- Import htmldoc

* Tue Mar 07 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.8.25-1mdk
- New release 1.8.25
- use mkrel

* Tue Jan 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.23-9mdk
- rebuild for openssl 0.9.8

* Fri Jul 08 2005 Lenny Cartier <lenny@mandriva.com> 1.8.23-8mdk
- rebuild

* Wed Jun 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.23-7mdk
- added the htmldoc-nogui sub package
- fix deps
- misc spec file fixes

* Sat May 22 2004 Robert Vojta <robert.vojta@mandrake.cz> 1.8.23-6mdk
- rebuild against cooker

